local _G = _G
module(...)
local map = {}
map["OK"] = 0
map["WARNING"] = 1
map["CRITICAL"] = 2
constant = {
	name = "Constant",
	tag = "value",
	order = 12,
	description = "Always results in specified state",
	hint = "This element have permanent result",
	rule = function(items, mode)
		return {{
			status = map[mode],
			msg = "Element is always " .. mode,
			service_contacts = "*",
			service_contact_groups = "*",
			host_contacts = "*",
			host_contact_groups = "*"
		}}
	end,
	params = {
		{
			validation = {
				required = true
			},
			name = "mode",
			label = "Mode",
			type = "enum",
			hint = "Mode of returning result( OK, WARNING, CRITICAL)",
			values = {"OK", "WARNING", "CRITICAL"}
		}
	}
}
